Cyberduck Mountain Duck CLI

#9604 closed defect (wontfix)

"latest" download links are broken for current release

Reported by: isleshocky77 Owned by: dkocher
Priority: high Milestone:
Component: website Version: 5.0.1
Severity: major Keywords: download
Cc: Architecture:
Platform:

Description

This is related to #8400

It looks like neither OS's download link is pointing to the most recent release; however, the bigger issue is that they're both pointing to files which do not exist.

For mac, it looks like it's missing a period in the filename. For windows, it's just throwing a 404 on the final file.

Windows

$ curl -I -L https://update.cyberduck.io/windows/latest
HTTP/1.1 302 Found
Date: Tue, 21 Jun 2016 15:16:16 GMT
Server: Apache/2.2.31 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.31 OpenSSL/1.0.1k-fips SVN/1.8.13 mod_wsgi/3.2 Python/2.6.9
Location: https://update.cyberduck.io/windows/Cyberduck%2520Installer-4.8.exe
Cache-Control: max-age=2592000
Expires: Thu, 21 Jul 2016 15:16:16 GMT
Content-Type: text/html; charset=iso-8859-1

HTTP/1.1 302 Found
Date: Tue, 21 Jun 2016 15:16:16 GMT
Server: Apache/2.2.31 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.31 OpenSSL/1.0.1k-fips SVN/1.8.13 mod_wsgi/3.2 Python/2.6.9
Location: https://a48823c7ec3cf4539564-60c534a1284a12ce74ef84032e9b4e46.ssl.cf1.rackcdn.com/Cyberduck%2520Installer-4.8.exe
Cache-Control: max-age=2592000
Expires: Thu, 21 Jul 2016 15:16:16 GMT
Content-Type: text/html; charset=iso-8859-1

HTTP/1.1 404 Not Found
Content-Length: 0
Content-Type: text/html; charset=UTF-8
X-Trans-Id: txf90e839848f94580be26c-0057695a40dfw1
Cache-Control: public, max-age=30
Expires: Tue, 21 Jun 2016 15:16:46 GMT
Date: Tue, 21 Jun 2016 15:16:16 GMT
Connection: keep-alive

Mac

$ curl -I -L https://update.cyberduck.io/mac/latest
HTTP/1.1 302 Found
Date: Tue, 21 Jun 2016 15:16:48 GMT
Server: Apache/2.2.31 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.31 OpenSSL/1.0.1k-fips SVN/1.8.13 mod_wsgi/3.2 Python/2.6.9
Location: https://update.cyberduck.io/Cyberduck-4.8zip
Cache-Control: max-age=2592000
Expires: Thu, 21 Jul 2016 15:16:48 GMT
Content-Type: text/html; charset=iso-8859-1

HTTP/1.1 404 Not Found
Date: Tue, 21 Jun 2016 15:16:48 GMT
Server: Apache/2.2.31 (Amazon) DAV/2 PHP/5.3.29 mod_ssl/2.2.31 OpenSSL/1.0.1k-fips SVN/1.8.13 mod_wsgi/3.2 Python/2.6.9
Content-Type: text/html; charset=iso-8859-1

Change History (2)

comment:1 Changed on Jun 21, 2016 at 3:23:53 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jun 27, 2016 at 9:18:16 AM by dkocher

  • Milestone 5.1 deleted
  • Resolution set to wontfix
  • Status changed from assigned to closed

We don't currently have a way to automate these links to be updated from our CI when pushing new builds. I have opted to remove the links rather than have stale links again.

Note: See TracTickets for help on using tickets.
swiss made software